## mosquitto 1.6.12

=== debian/changelog ===
mosquitto (1.6.12-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Wed, 19 Aug 2020 15:24:26 +0100
