=== debian/changelog ===
mosquitto (2.0.7-3build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:18:01 +0000

mosquitto (2.0.7-3) unstable; urgency=medium

  * Change all paths `/var/run` to `/run` to avoid installing through a
    symlink.

 -- Roger A. Light <roger@atchoo.org>  Tue, 09 Feb 2021 09:31:09 +0000

mosquitto (2.0.7-2) unstable; urgency=medium

  * Add new xsltproc and docbook-xsl dependencies needed to build manpages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Feb 2021 21:55:11 +0100

mosquitto (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * License has changed from EPL-1.0 OR EDL-1.0 to EPL-2.0 OR EDL-1.0.
  * New dependency, libcjson
  * Remove install-protocol.patch, this has been fixed upstreamed.
  * pid file moved to /var/run/mosquitto/mosquitto.pid because mosquitto is no
    longer root when it tries to create that file.

 -- Roger A. Light <roger@atchoo.org>  Thu, 4 Feb 2021 23:27:31 +0000

mosquitto (1.6.11-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Tue, 11 Aug 2020 16:53:20 +0100
