## mosquitto 2.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 cmake_policy(SET CMP0042 NEW)
 
 project(mosquitto)
-set (VERSION 2.0.7)
+set (VERSION 2.0.8)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
