=== test/broker/Makefile ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	./02-subhier-crash.py
 	./02-subpub-qos0-long-topic.py
 	./02-subpub-qos0-oversize-payload.py
+	./02-subpub-qos0-queued-bytes.py
 	./02-subpub-qos0-retain-as-publish.py
 	./02-subpub-qos0-send-retain.py
 	./02-subpub-qos0-subscription-id.py
