=== plugins/payload-modification/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 include_directories(${mosquitto_SOURCE_DIR} ${mosquitto_SOURCE_DIR}/include
-			${STDBOOL_H_PATH} ${STDINT_H_PATH})
+			${OPENSSL_INCLUDE_DIR} ${STDBOOL_H_PATH} ${STDINT_H_PATH})
 link_directories(${mosquitto_SOURCE_DIR})
 
 add_library(mosquitto_payload_modification SHARED mosquitto_payload_modification.c)
