=== test/broker/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 01 :
 	./01-connect-allow-anonymous.py
 	./01-connect-bad-packet.py
+	./01-connect-connack-2163.py
 	./01-connect-disconnect-v5.py
 	./01-connect-duplicate.py
 	./01-connect-invalid-id-0.py
