=== debian/changelog ===
mosquitto (2.0.10-3) unstable; urgency=medium

  * signed-unsigned.patch: Fix signed/unsigned conversion warnings.

 -- Roger A. Light <roger@atchoo.org>  Mon, 19 Apr 2021 09:41:00 +0100

mosquitto (2.0.10-2) unstable; urgency=medium

  * Fix autopkgtests.
  * deb-test.patch: Fix paths to allow autopkgtest to work in the Debian
    environment.

 -- Roger A. Light <roger@atchoo.org>  Sun, 18 Apr 2021 21:42:48 +0100

mosquitto (2.0.10-1) unstable; urgency=high

  * SECURITY UPDATE: In Eclipse Mosquitto version 2.0.0 to 2.0.9, if an
    authenticated client that had connected with MQTT v5 sent a crafted
    CONNACK message to the broker, a NULL pointer dereference would occur.
    (Closes: #986701)
    - CVE-2021-28166
  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Sat, 10 Apr 2021 00:41:35 +0100

mosquitto (2.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Thu, 11 Mar 2021 22:53:34 +0000

mosquitto (2.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Thu, 25 Feb 2021 18:56:57 +0000
