=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mosquitto
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roger A. Light <roger@atchoo.org>
+Maintainer: Roger A. Light <roger@atchoo.org>
 Build-Depends: debhelper-compat (= 12),
                cmake,
                libcjson-dev,
@@ -12,7 +11,7 @@
                libwebsockets-dev,
                libwrap0-dev,
                pkg-config,
-               uthash-dev (>=2.1.0),
+               uthash-dev,
                xsltproc,
                docbook-xsl
 Standards-Version: 4.5.0
